<bugID>806076<Summary>Download Panel should need double-click to open downloaded files</Summary><Description>I think that we should need to fix this bug until ship to release new DL manager.

Old toolkit DL manager need double-clicking to open a downloaded files. So this difference will user confusing.

And Its confusing will be security risk.

I set up the malefic attacking scenario:
1. A attacking site make a file having malware is downloaded. This process is not needed by user.
2. User will think that "What is this downloaded file?", he may click it with single clicking. Thus its malware will be opened.
3. As the result, malefic attacking will success...

So this is a potential security risk. Firefox user recognize that it need to open with double-clicking. But the current behavior breaks this recognition. Therefore this is a *potential*, but we cannot overlook it. This is so bad because the double-clicking behavior of toolkit DL manager is common behavior in users.</Description></bugID>